Skip to main content
GET
/
api2
/
v1
/
termBases
/
{termBaseUid}
Get term base
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid} \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "businessUnit": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "canShow": true,
  "client": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "domain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "id": "<string>",
  "internalId": 123,
  "langs": [
    "<string>"
  ],
  "note": "<string>",
  "owner": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "readonly": true,
  "sourceUrl": "<string>",
  "subDomain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "uid": "<string>",
  "userAllowedOperations": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

termBaseUid
string
required

Term base UID

Response

OK

name
string
required

Name of the term base

businessUnit
object
canShow
boolean

When true, the current user is allowed to view the term base

client
object
createdBy
object
dateCreated
string<date-time>

Date the term base was created

domain
object
id
string

String representation of numeric ID

internalId
integer<int64>

Internal numeric ID

langs
string[]

Language codes of the term base

note
string

Optional note for the term base

owner
object
readonly
boolean

When true, the term base is read-only

sourceUrl
string

Source URL associated with the term base

subDomain
object
uid
string

Unique identifier

userAllowedOperations
string[]

List of allowed operations for the current user